#!/bin/bash

find . -type f -name 'pom.xml' -print | grep -v .svn | grep -v target |
while read filename
do (
   echo "Editing $filename"
   sed 's/3.2.3-SNAPSHOT<\/version>/3.2.3<\/version>/g;' $filename > $filename.sed
   mv $filename.sed $filename
)
done
